<?php
require_once('conexion_servicios.php');

date_default_timezone_set("America/Bogota");

session_start();
					
		if ( isset($_SESSION['usuario']))
        {
  		
			$conexion1 = new mysqli($host, $usuario, $password, $base_datos);	
			$conexion2 = new mysqli($host, $usuario, $password, $base_datos);			
						
			
				$query_atencion = $conexion1->query("SELECT * FROM tblfila where tblfila.EstadoServicio=1 and tblfila.FechaHoraInicioSer is not null");
				
			$array_atencion = $query_atencion->fetch_assoc();	
			
			$CantidadAtencion=	mysqli_num_rows($query_atencion);
			
			echo $CantidadAtencion;
			
			if ($CantidadAtencion==0)
			{
							
			echo '<script language = javascript>
											alert("No hay atenciones en curso")
											self.location = "general.php"
											</script>';
			}
			else
			{
				
				
				$query_atencion_en_curso = $conexion2->query("SELECT * FROM tblfila inner join tblusuarios on tblfila.CedulaUsuario=tblusuarios.Cedula inner join tblfuncionario on tblfila.CedulaFunAtencion=tblfuncionario.CedulaFuncionario where tblfila.EstadoServicio=1 and tblfila.FechaHoraInicioSer is not null");
			$array_atencion_en_curso = $query_atencion_en_curso->fetch_assoc();	
				
			}
						
			
		}


		else{		
		
					echo '<script language = javascript>
					alert("¡¡¡¡Ud aún no ha iniciado sesión!!!!")
					self.location = "login.php"
					</script>';	
		
			
		}


?>


<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link href="css/estilos1.css" rel="stylesheet" type="text/css" />
	<link rel="shortcut icon" href="imagenes/favicon.ico">
	<title>Atencion general</title>
</head>

<body>
<header>
<div class="encabezado"></div>
        <nav class="menu">
        	<ul>
            	<li><a href="general.php">Inicio</a></li>
                <li><a href="registrar.php">Registrar servicio</a></li>
                <li><a href="fila_general.php">Ver fila general</a></li>
                <li><a href="fila_rol.php">Ver fila para rol</a></li>
                <li><a href="atencion.php">Atención pendiente</a></li>
                <li><a href="atencion_general.php">Atención general pendiente</a></li>
				<li><a href="modificar_rol.php">Modificar rol</a></li>            
            </ul>
        
        </nav>
</header>
<div style="display: flex; justify-content: space-between; width:50%; margin-top:10px;">
<?php echo("<strong> Usuario: </strong>".$_SESSION['usuario']." <strong> Rol: </strong>".$_SESSION['Rol']);?>
<a href="cerrar_sesion.php"><strong>Cerrar Sesión</strong></a>
</div>

<br/>
<div class="cuerpo">
<form class="formulario">
<table>

	<tr>
  		<td><strong><center>Cédula Usuario</center></strong></td>
        <td><strong><center>Usuario</center></strong></td>
		<td><strong><center>Teléfono usuario</center></strong></td>
		<td><strong><center>Días cotizados</center></strong></td>
  		<td><strong><center>Tipo de servicio</center></strong></td>
        <td><strong><center>Cedula funcionario que atiende</center></strong></td>
        <td><strong><center>Funcionario que atiende</center></strong></td>
        <td><strong><center>Hora inicio atenció</center>n</strong></td>
        <td><strong><center>Tiempo en la atención</center></strong></td>
        <td><strong><center>Es prioritario</center></strong></td>
		<td><strong><center>Activo a CCF</center></strong></td>  
  
	</tr>
    
<?php  do { ?>

<?php  
 $fecha1 = date_create(date("Y-m-d H:i:s"));
 $fecha2 = date_create($array_atencion_en_curso['FechaHoraInicioSer']);
 ?>
 
 <?php if($array_atencion_en_curso['ActivoCCF']==1)
	{?>
		<tr style="background:rgb(252, 198, 198);">
	<?php }
	
	else
	{?>
		<tr>
	<?php } ?>

 
		<td><center><?php echo $array_atencion_en_curso['CedulaUsuario']; ?></center></td>
        <td><center><?php echo $array_atencion_en_curso['NombreApellido']; ?></center></td>
		<td><center><?php echo $array_atencion_en_curso['TelefonoUsuario']; ?></center></td>
		<td><center><?php echo $array_atencion_en_curso['DiasCotizados']; ?></center></td>
        <td><center><?php echo $array_atencion_en_curso['CodigoRol']; ?></center></td>
        <td><center><?php echo $array_atencion_en_curso['CedulaFunAtencion']; ?></center></td>
        <td><center><?php echo ($array_atencion_en_curso['PrimerNombre']." ".$array_atencion_en_curso['PrimerApellido']); ?></center></td>
        <td><center><?php echo $array_atencion['FechaHoraInicioSer']; ?></center></td>
        <td><center><?php echo (date_diff($fecha1, $fecha2)->format('%h Horas %i Minutos'));?></center></td>
        <td><center><?php 
		
		if ($array_atencion_en_curso['EsPrioritario']==1)
		{
			echo "SI";	
		}
		else
		{
			echo "NO";
		}
		
		?></center></td>

		<td><center><?php 		
		if ($array_atencion_en_curso['ActivoCCF']==1)
		{
			echo "SI";	
		}
		else
		{
			echo "NO";
		}
		
		?></center></td>


	</tr>
    
 <?php } while ($array_atencion_en_curso = $query_atencion_en_curso->fetch_assoc()); ?> 

</table>
</form>
</div>
</body>
</html>